# Jobs configuration.
#
# Stores information about each job.
#
# NOTE: When having multiple jobs, both jobs will give the income payout to the player
# even if they give the pay for one action (make the configurations with this in mind)
# and each job will get the respective experience.
#
# e.g If player has 2 jobs where job1 gives 10 income and experience for killing a player 
# and job2 gives 5 income and experience for killing a player. When the user kills a player
# they will get 15 income and job1 will gain 10 experience and job2 will gain 5 experience.

Jobs:
    # must be one word
    Drwal:
        # full name of the job (displayed when browsing a job, used when joining and leaving)
        # also can be used as a prefix for the user's name if the option is enabled.
        # Shown as a prefix only when the user has 1 job.
        #
        # NOTE: Must be 1 word
        fullname: Drwal
        # Shortened version of the name of the job. Used as a prefix when the user has more 
        # than 1 job
        shortname: D
        # The colour of the name, for a full list of supported colours, go to the message config.
        ChatColour: GREEN
        # Option to let you choose what kind of prefix this job adds to your name.
        # options are: full, title, job, shortfull, shorttitle, shortjob and none
        chat-display: full
        # [OPTIONAL] - the maximum level of this class
        #max-level: 60
        # [OPTIONAL] - the maximum number of users on the server that can have this job at 
        # any one time (includes offline players).
        #slots: 10
        # Equation used for calculating how much experience is needed to go to the next level.
        # Available parameters:
        #   numjobs - the number of jobs the player has
        #   joblevel - the level the player has attained in the job.
        # NOTE: Please take care of the brackets when modifying this equation.
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        # Equation used for calculating how much income is given per action for the job level.
        # Available parameters:
        #   baseincome - the income for the action at level 1 (as set in the configuration).
        #   joblevel - the level the player has attained in the job.
        # NOTE: Please take care of the brackets when modifying this equation.
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
         # Equation used for calculating how much experience is given per action for the job level.
        # Available parameters:
        #   baseexperience - the experience for the action at level 1 (as set in the configuration).
        #   joblevel - the level the player has attained in the job.
        # NOTE: Please take care of the brackets when modifying this equation.
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        ########################################################################
        # Section used to configure what items the job gets paid for, how much
        # they get paid and how much experience they gain.
        #
        # For break and place, the block name or id is used.
        # You can select a sub-type by using a '-' between the id and the bit
        # value for the sub-type. e.g LOG-0 = usual log, LOG-2 = birch log
        # 17-2 = birch log.
        #
        # If no sub-type is give, the payout will be for all sub-types.
        #
        #
        # For kill tags (Kill and custom-kill), the name is the name of the
        # mob.
        # Available mobs:
        #   Chicken
        #   Cow
        #   Pig
        #   Sheep
        #   Wolf
        #   Creeper
        #   Giant
        #   Skeleton
        #   Spider
        #   Zombie
        #   PigZombie
        #   Squid
        #   Ghast
        #   Player
        #   Slime
        #
        # NOTE: mob names are case sensitive.
        #
        # For custom-kill, it is the name of the job (also case sensitive).
        # 
        # NOTE: If a job has both the pay for killing a player and for killing a
        # specific class, they will get both payments.
        ########################################################################
        # payment for breaking a block
        Break:
            # block name/id (with optional sub-type)
            LOG:
                # base income
                income: 1.5
                # base experience
                experience: 5.0
        # payment for placing a block
        Place:
            SAPLING: 
                income: 0.5
                experience: 1.0
            WOOD: 
                income: 0.5
                experience: 2.0
        # killing a mob
        Kill:
            # mob name
            Player:
                # base income
                income: 1.5
                # base experience
                experience: 7.5
        # killing a jobs class
        custom-kill:
            # full name of the jobs class
            Drwal:
                # base income
                income: 2.0
                # base experience
                experience: 10.0
    Gornik:
        fullname: Gornik
        shortname: G
        ChatColour: DARK_GRAY
        chat-display: full
        #max-level: 60
        #slots: 10
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        Break:
            STONE:
                income: 0.2
                experience: 2.0
            COAL_ORE:
                income: 0.5
                experience: 3.0
            REDSTONE_ORE:
                income: 1.0
                experience: 3.0
            IRON_ORE: 
                income: 1.0
                experience: 4.0
            GOLD_ORE:
                income: 1.0
                experience: 5.0
            LAPIS_ORE:
                income: 1.5
                experience: 5.0
            DIAMOND_ORE:
                income: 1.5
                experience: 6.0
            OBSIDIAN: 
                income: 2.5
                experience: 7.5
            MOSSY_COBBLESTONE:
                income: 1.5
                experience: 6.0
        Place:
            RAILS:
                income: 0.5
                experience: 2.0
            IRON_ORE:
                income: -1.0
                experience: -5.0
            GOLD_ORE:
                income: -3.0
                experience: -6.0
        Kill:
            Player:
                income: 1.5
                experience: 7.5
        custom-kill:
            Miner:
                income: 2.0
                experience: 10.0
    Budowniczy:
        fullname: Budowniczy
        shortname: B
        ChatColour: WHITE
        chat-display: full
        #max-level: 60
        #slots: 10
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        Place:
            COBBLESTONE:
                income: 0.5
                experience: 1.0
            WOOD:
                income: 0.5
                experience: 1.5
            FENCE:
                income: 0.5
                experience: 1.5
            WOOL:
                income: 0.5
                experience: 1.5
            STONE:
                income: 0.5
                experience: 2.25
            GLOWSTONE:
                income: 0.5
                experience: 3.0
            SANDSTONE:
                income: 0.5
                experience: 2.0
            GLASS:
                income: 0.5
                experience: 3.0
            BRICK:
                income: 1.0
                experience: 4.0
            LAPIS_BLOCK:
                income: 1.0
                experience: 5.0
            DOUBLE_STEP:
                income: 0.5
                experience: 2.0
            STEP:
                income: 0.5
                experience: 2.0
            BOOKSHELF:
                income: 0.5
                experience: 3.0
            WOOD_STAIRS:
                income: 0.5
                experience: 2.0
            COBBLESTONE_STAIRS:
                income: 0.5
                experience: 2.0
            MOSSY_COBBLESTONE:
                income: 0.5
                experience: 5.0
            DIAMOND_BLOCK:
                income: 1.0
                experience: 5.0
            GOLD_BLOCK:
                income: 1.0
                experience: 5.0
        Kill:
            Player:
                income: 1.5
                experience: 7.5
        custom-kill:
            Builder:
                income: 2.0
                experience: 10.0
    Kopacz:
        fullname: Kopacz
        shortname: K
        ChatColour: YELLOW
        chat-display: full
        #max-level: 60
        #slots: 10
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        Break:
            DIRT:
                income: 0.5
                experience: 2.0
            GRASS:
                income: 0.5
                experience: 2.0
            GRAVEL:
                income: 0.5
                experience: 2.0
            SAND:
                income: 0.5
                experience: 2.0
            CLAY:
                income: 1.0
                experience: 2.0
        Kill:
            Player:
                income: 1.5
                experience: 7.5
        custom-kill:
            Digger:
                income: 2.0
                experience: 10.0
    Farmer:
        fullname: Farmer
        shortname: F
        ChatColour: BLUE
        chat-display: full
        #max-level: 60
        #slots: 10
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        Break:
            WHEAT:
                income: 2.0
                experience: 4.0
            SUGAR_CANE_BLOCK:
                income: 2.0
                experience: 4.0
        Place:
            SEEDS:
                income: 1.0
                experience: 3.0
            SUGAR_CANE_BLOCK:
                income: 1.0
                experience: 1.0
        Kill:
            Player:
                income: 1.5
                experience: 7.5
        custom-kill:
            Farmer:
                income: 2.0
                experience: 10.0
    Lowca:
        fullname: Lowca
        shortname: L
        ChatColour: RED
        chat-display: full
        #max-level: 60
        #slots: 10
        leveling-progression-equation: 100*((1.13+(0.01*(numjobs-1)))^(joblevel-1))
        income-progression-equation: baseincome*((1.05)^(joblevel-1))
        experience-progression-equation: baseexperience*((1.05)^(joblevel-1))
        Kill:
            Chicken:
                income: 0.5
                experience: 2.5
            Cow:
                income: 0.5
                experience: 2.5
            Pig:
                income: 0.5
                experience: 2.5
            Sheep: 
                income: 0.5
                experience: 2.5
            Wolf: 
                income: 1.0
                experience: 5.0
            Creeper: 
                income: 2.0
                experience: 10.0
            Skeleton: 
                income: 2.0
                experience: 10.0
            Spider:
                income: 2.0
                experience: 10.0
            Zombie: 
                income: 2.0
                experience: 10.0
            Player:
                income: 1.5
                experience: 7.5
        custom-kill:
            Drwal:
                income: 2.0
                experience: 10.0
            Gornik:
                income: 2.0
                experience: 10.0
            Kopacz:
                income: 2.0
                experience: 10.0
            Farmer:
                income: 2.0
                experience: 10.0
            Budowniczy:
                income: 2.0
                experience: 10.0
            Lowca:
                income: 4.0
                experience: 20.0      
